Subject: Re: bug#37459: Adds backslash as escape character to mysql syntax-alist

From: Lars Ingebrigtsen <[email-masked]>
Date: Sun, 09 Aug 2020 20:57:28 +0200

Kristian Hole <[email-masked]> writes:

> I've generated patches for takeaways (1) and (2) 
>
> Patch attached to previous message:
>   Corrects sql-mode help about escape character syntax
>
>   Changes the example from the incorrect use of
>   punctuation rule, to the escape character rule (Bug#37459).
>
> This patch:
>   Adds backslash as escape character to mysql syntax-alist
>
>   In MySQL syntax backslash denotes an escape sequence.
>   This change adds backslash to the syntax-alist of
>   MySQL in sql-mode as per (Bug#37459).

[...]

> -     :syntax-alist ((?# . "< b"))
> +     :syntax-alist ((?# . "< b") (?\\ . "\\"))
>       :input-filter sql-remove-tabs-filter)

I don't use mysql in sql mode, but this looks "obviously" correct, so
I've applied it to Emacs 28 (along with the doc fix).  Perhaps Michael
can chime in...

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no